#ifndef NPCINFO_HPP_INCLUDED
#define NPCINFO_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <string>
#include <cstdint>

namespace Internal
{
    class NPCInfo : public CacheableNode
    {
        public:
            NPCInfo();
            NPCInfo(const void* Obj);
            NPCInfo(const NPCInfo& N);
            static Class GetClass();

            std::vector<std::string> GetActions() const;
            std::int32_t GetCombatLevel() const;
            std::int32_t GetID() const;
            std::vector<std::int32_t> GetImposterIDs() const;
            bool GetMinimapVisible() const;
            std::vector<std::int32_t> GetModelIDs() const;
            std::string GetName() const;
            std::int32_t GetScaleX() const;
            std::int32_t GetScaleY() const;
            std::int32_t GetSettingID() const;
            std::int32_t GetSize() const;
            std::int32_t GetVarbitID() const;
            bool GetVisible() const;

    };
}

#endif // NPCINFO_HPP_INCLUDED
